summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorIonen Wolkens <ionen@gentoo.org>2026-03-17 20:20:07 -0400
committerIonen Wolkens <ionen@gentoo.org>2026-03-17 20:23:48 -0400
commitbf7b9db015fda93b229faa7b8d896ee4d53178e2 (patch)
tree578c537e39ea4cf40f15a6ea6aee12da3ce829e9 /dev-python
parent6c29976228b32c0888f714ebcba7f62245d504c2 (diff)
downloadgentoo-bf7b9db015fda93b229faa7b8d896ee4d53178e2.tar.gz
gentoo-bf7b9db015fda93b229faa7b8d896ee4d53178e2.tar.bz2
gentoo-bf7b9db015fda93b229faa7b8d896ee4d53178e2.zip
dev-python/yt-dlp-ejs: add 0.8.0
Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/yt-dlp-ejs/Manifest2
-rw-r--r--dev-python/yt-dlp-ejs/yt-dlp-ejs-0.8.0.ebuild37
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/yt-dlp-ejs/Manifest b/dev-python/yt-dlp-ejs/Manifest
index aa0cb85e1cecc..ee3a469b6abaa 100644
--- a/dev-python/yt-dlp-ejs/Manifest
+++ b/dev-python/yt-dlp-ejs/Manifest
@@ -2,3 +2,5 @@ DIST yt_dlp_ejs-0.5.0-py3-none-any.whl.zip 54032 BLAKE2B 79bba8a7f4c6a7c2cc866ce
DIST yt_dlp_ejs-0.5.0.tar.gz 98925 BLAKE2B 6f2349e403f4fbaacf1fc6ef3d451b921e4eedb4ea569174746f3ed8a556b56bc76e1199871d9419403144a375d6a0f48df19dfd3c435ab654fda207834ae150 SHA512 24efda187bd80c8cfce2eaa7ad889b50a08703ec462dfb60d19ef9b643a5e6e2cdbe4806b6e0559ee2303e0fe9c3d76fabcd29364d02e7cdbfbf434710dad5b0
DIST yt_dlp_ejs-0.7.0-py3-none-any.whl.zip 53444 BLAKE2B 1146b260ab152f38b6e1086a2cf96c5c63dd9f21e48a5df413c49cc01cbd82c8cc29691e282c8911b22ae20be89fc276014ed6cb2debb7907f677cdc076c0355 SHA512 3224951e2dcee9968b72271b7380f68ecc0fc207b932edba673a9a2088eea293ab97aaec8ec974518d80e6ef5c7a4e8c2fe19280b999b063436d7a1ae69843de
DIST yt_dlp_ejs-0.7.0.tar.gz 95961 BLAKE2B 21336c7a8055d20210bd6af56dd863e02e11cd70df636f2fe0085e52adcd1e5cae1dc327ca7c72256f7158bec2ef64fcb2a571b34db9a4e18fd2f342fa75b299 SHA512 a639b0a92244d361770fa850ab9e1e930898d10a4626f3ddf482a7d41381c9ecd70604356a6c53490abffa657117cf315f6561fe1bf0a538868cbad8b2330604
+DIST yt_dlp_ejs-0.8.0-py3-none-any.whl.zip 53443 BLAKE2B 7ff74d005b4a6eb6a05b9137bbd37a0effaf24d12c2bd985114b6e874bd5535a983efe7c50cffd9f96f80e89906aba7fad602b8e15275cd9eefde6f9f77df8f2 SHA512 e1fe4799fa9c5f96acdd4f97b0545e671db17b906e3b91add2ad9c1756f020dbb3424dee5addfe64b63c82d7e54fc006c1912630ad021f70c8ef065fedde5d98
+DIST yt_dlp_ejs-0.8.0.tar.gz 96571 BLAKE2B 2875831b7141b47625c1475addb621ac01b3296491f8689d6ff21a3e099a2fa73d7276249353019b530102ede7345b8c78f6091d3bb1bb90be17b6e80bbe1b2f SHA512 25c6b005fcb034abb0fa20720538fafd64ba61742419ef72ff9a81fca75e3ebaff34a63407d6fca9331e7fd743ccc42e6b5bf280607031df62a06a65b2493211
diff --git a/dev-python/yt-dlp-ejs/yt-dlp-ejs-0.8.0.ebuild b/dev-python/yt-dlp-ejs/yt-dlp-ejs-0.8.0.ebuild
new file mode 100644
index 0000000000000..f21c67dcb2e78
--- /dev/null
+++ b/dev-python/yt-dlp-ejs/yt-dlp-ejs-0.8.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="External JavaScript for yt-dlp supporting many runtimes"
+HOMEPAGE="https://github.com/yt-dlp/ejs/"
+# wheel for .js files, github's assets also has them but uncompressed
+SRC_URI+=" $(pypi_wheel_url --unpack)"
+
+LICENSE="Unlicense"
+LICENSE+=" ISC MIT" # .js dependencies
+SLOT="0"
+# bumps should typically be done straight-to-stable like yt-dlp itself
+KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
+
+BDEPEND="
+ app-arch/unzip
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+"
+
+# this only tests basic python bits without javascript to avoid headaches
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # drop deno/npm calls and use pre-generated .js instead, this
+ # both prevents network use and ensures no hash mismatch given
+ # yt-dlp checks the sha512sum of the .js files
+ sed -i '/wheel.hooks.custom/,/^$/d' pyproject.toml || die
+ mv ../yt_dlp_ejs/yt/solver/*.js yt_dlp_ejs/yt/solver/ || die
+}